/*
 * LEIGH:plc
 * Copyright 2022 Alex Leigh
 *
 * This program is free software: you can redistribute it and/or modify it
 * under the terms of the GNU General Public License as published by the Free
 * Software Foundation, either version 3 of the License, or (at your option)
 * any later version.
 *
 * This program is distributed in the hope that it will be useful, but WITHOUT
 * ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or
 * FITNESS FOR A PARTICULAR PURPOSE. See the GNU General Public License for
 * more details.
 *
 * You should have received a copy of the GNU General Public License along with
 * this program.  If not, see <http://www.gnu.org/licenses/>.
 */


#include "json.h"

void jsonFset(cJSON *obj, const char *key, const char *value) {
    cJSON *old = cJSON_GetObjectItem(obj, key);
    if(old==NULL) {
        cJSON_AddItemToObject(obj, key, cJSON_CreateString(value));
    } else {
        // TODO: Set this directly
        cJSON_ReplaceItemInObject(obj, key, cJSON_CreateString(value));
    }
}